Subject: [bug#73323] [PATCH 00/15] Update aws-sdk-cpp.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 01 Oct 2024 17:29:29 +0200

Hi,

Greg Hogan <[email-masked]> skribis:

> I tested 10 years in the future and submitted a bug report upstream:
>   https://github.com/aws/aws-lc/issues/1889
>
> It's a strange error, not a simple time bomb. The build fails
> somewhere between six and seven years in the future.
>
> So in the case where this bug is resolved and the current package
> definition successfully builds in the future should we still wrap with
> datefudge or libfaketime? Add a comment to run a future test build
> when updating? I prefer the comment since overridden phases are
> unsightly and simply mask the problem.

Generally speaking we should ensure packages can be built regardless of
the value of the system clock, so people can eventually time-machine and
rebuild packages.  When we’re aware of time-dependent behavior, we
should patch it or use libfaketime/datefudge.

Thanks,
Ludo’.